Subject: Re: bug#78029: libssh-0.11.1 fails to cross compile

From: Ludovic Courtès <[email-masked]>
Date: Thu, 24 Apr 2025 11:21:04 +0200

Hi,

yelninei--- via Bug reports for GNU Guix <[email-masked]> writes:

> Since commit b12d44dd5e35ac236bf3fbb5619b9c8c2f42c902 turned on tests
> and switchted to gexps the package no longer cross compiles, which is
> a dependency of guile-ssh (and guix).
>
> When cross compiling to a 32bit target (tested with i586-pc-gnu)
> something goes wrong ungexp-splicing the extra CFLAGS and the literal
> list procedure is inserted for the cflags:

Fixed:

  93f61013db gnu: libssh: Restore support for cross-compilation.
  f88be0a5b3 gnu: libssh: Fix #:configure-flags for cross-compilation to 32-bit.

Someday we’ll get childhurd support for more than two days in a row.
:-)

Thanks,
Ludo’.